For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/biller/cascade‑history

get

Get history of changes to cascade

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
cascadeidintegerRequired
startintegerOptionalDefault: 50
Responses
200

success

successbooleanOptionalExample: true
get/api/biller/cascade-history
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'cascadeid' => 1,
		'start' => 50
	);

$request = array(
	'method' => 'GET',
	'path' => 'biller/cascade-history',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "total_count": "1",
  "history": [
    {
      "trigger_cascades_log_id": "1",
      "trigger_loginid": 0,
      "trigger_time": "1565382532",
      "trigger_action": "insert",
      "t_cascadeid": "1",
      "t_networkid": "0",
      "t_name": "default",
      "t_description": "Join by Credit Card",
      "t_weight": "50",
      "t_deleted": "0",
      "t_target": "",
      "t_nontarget": "",
      "t_active": "0",
      "username": "Unknown",
      "trigger_date": "2019-08-09 16:28:52"
    }
  ]
}

Last updated

Was this helpful?